function ztrata=srovnej(system,apriori)
kresli=0;
p=0;
seed=randn(6,system.horizont_rizeni);
[ztrata1 omega1 rizeni1]=jednoduche_rizeni(system,apriori,seed);
[ztrata2 omega2 rizeni2]=dualni_rizeni(system,apriori,seed);
ztrata=[ztrata1 ztrata2];
if (kresli)
figure
plot(omega1(1,:),'r-'); hold on
plot(omega1(2,:),'r.-.');
plot(omega2(1,:),'b-'); 
plot(omega2(2,:),'b.-.');
legend('SKUTECNE_simple','ODHAD_simle','SKUTECNE_dual','ODHAD_dual');
TITLE([ztrata1;ztrata2]);
figure
if (p)
    plot(rizeni1(1,:),'r-'); hold on
    plot(rizeni1(2,:),'r.-.');
    plot(rizeni2(1,:),'b-'); 
    plot(rizeni2(2,:),'b.-.');
    legend('simple_1','simple_1','dual_1','dual_1');
else
    plot(rizeni1(1,:).^2+rizeni1(2,:).^2,'r-'); hold on
    plot(rizeni2(1,:).^2+rizeni2(2,:).^2,'b-');
end
end
end